import request from '@/utils/request'

// 查询送检科室列表
export function listSampleDept(query) {
  return request({
    url: '/sample/sampleDept/list',
    method: 'get',
    params: query
  })
}

// 查询送检科室详细
export function getSampleDept(id) {
  return request({
    url: '/sample/sampleDept/' + id,
    method: 'get'
  })
}

// 新增送检科室
export function addSampleDept(data) {
  return request({
    url: '/sample/sampleDept',
    method: 'post',
    data: data
  })
}

// 修改送检科室
export function updateSampleDept(data) {
  return request({
    url: '/sample/sampleDept',
    method: 'put',
    data: data
  })
}

// 删除送检科室
export function delSampleDept(id) {
  return request({
    url: '/sample/sampleDept/' + id,
    method: 'delete'
  })
}
